Subject: [bug#44401] [PATCH] gnu: poetry: Update to 1.1.4.

From: Tanguy LE CARROUR <[email-masked]>
Date: Sun, 29 Nov 2020 18:45:39 +0100

Hi Sébastien,

Good to know that I'm not the only one with an interest in Poetry! :-)

> This submission was somwhat premature, as poetry 1.1.4 requires
> python-keyring 21.2.0, which in turn requires python-mypy for
> tests, which itself has failing tests on my machine. It seems I
> tried to bite too much in one go, so maybe this can be put on hold
> until I resolve the pending issues?

FYI, the upgrade to 1.1.4 is also discussed here:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44077

It seems that there's also a problem with the latest version of keyring on Guix:
https://github.com/jaraco/keyring/issues/469
But I'm (slowly) working on it!

Happy hacking!

-- 
Tanguy